Subject: Re: Re: Moving a directory into another fails

From: Jakub Narebski <[email-masked]>
Date: Mon, 04 Dec 2006 20:37:12 +0100

Johannes Schindelin wrote:

> On Mon, 4 Dec 2006, Jakub Narebski wrote:
> 
>> Johannes Schindelin wrote:
>> 
>>> On Mon, 4 Dec 2006, Jakub Narebski wrote:
>>> 
>>>> [...] git should acquire core.filesystemEncoding configuration variable 
>>>> which would encode from filesystem encoding used in working directory 
>>>> and perhaps index to UTF-8 encoding used in repository (in tree objects) 
>>>> and perhaps index.
>>> 
>>> So, you want to pull in all thinkable encodings? Of course, you could rely 
>>> on libiconv, adding yet another dependency to git. (Yes, I know, mailinfo 
>>> uses it already. But I never use mailinfo, so I do not need libiconv.)
>> 
>> A conditional dependency. If you don't have libiconv, this feature wouldn't
>> be available.
> 
> You are speaking as somebody compiling git from source. We are a minority.

Usually iconv is in libc.

# Define NEEDS_LIBICONV if linking with libc is not enough (Darwin).

Hmm... perhaps not that usually. The uname based configuration in Makefile
(not the test based configuration provided by autoconf generated
./configure script) sets NEEDS_LIBICONV for: Darwin, SunOS 5.8, Cygwin,
FreeBSD and OpenBSD, some versions of NetBSD, AIX.

And HFS+ is on MacOS X / Darwin, without iconv in libc...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git